Skip to main content
POST
/
custom-fields
cURL
curl -X POST https://api.growthbook.io/api/v1/custom-fields -d '{ ... }' -u secret_abc123DEF456
{
  "customField": {
    "id": "<string>",
    "dateCreated": "2023-11-07T05:31:56Z",
    "dateUpdated": "2023-11-07T05:31:56Z",
    "name": "<string>",
    "type": "text",
    "required": true,
    "sections": [
      "feature"
    ],
    "description": "<string>",
    "placeholder": "<string>",
    "defaultValue": "<string>",
    "values": "<string>",
    "creator": "<string>",
    "projects": [
      "<string>"
    ],
    "active": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://growthbook-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

If using Bearer auth, pass the Secret Key as the token:

curl https://api.growthbook.io/api/v1 \
-H "Authorization: Bearer secret_abc123DEF456"

Body

application/json
id
string
required

The unique key for the custom field

Minimum string length: 1
name
string
required

The display name of the custom field

type
enum<string>
required

The type of value this custom field will take

Available options:
text,
textarea,
markdown,
enum,
multiselect,
url,
number,
boolean,
date,
datetime
required
boolean
required
sections
enum<string>[]
required

What types of objects this custom field is applicable to (feature, experiment)

Available options:
feature,
experiment
description
string
placeholder
string
defaultValue
values
string
projects
string[]

Response

200 - application/json

Success

customField
object
required